org.opencv.ximgproc

## Class GraphSegmentation

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.GraphSegmentation

-     public class GraphSegmentation
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GraphSegmentation(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GraphSegmentation` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `float` | `getK()`
    `int` | `getMinSize()`
    `double` | `getSigma()`
    `void` | `processImage(Mat src, Mat dst)`
    `void` | `setK(float k)`
    `void` | `setMinSize(int min_size)`
    `void` | `setSigma(double sigma)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphSegmentation

          protected GraphSegmentation(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static GraphSegmentation __fromPtr__(long addr)

    - #### getSigma

          public double getSigma()

    - #### getK

          public float getK()

    - #### getMinSize

          public int getMinSize()

    - #### processImage

          public void processImage(Mat src,
                                   Mat dst)

    - #### setK

          public void setK(float k)

    - #### setMinSize

          public void setMinSize(int min_size)

    - #### setSigma

          public void setSigma(double sigma)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1